package com.ssj.bean.kmt.kmt.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 15:30 2019/12/10
 * @Modified By
 */
@Entity
@Table(name="kmt_exercise_book")
public class KmtExerciseBook extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private String bookName;

    private int version;

    private String grade;

    private int semester;

    private Date createTime;

    private String handleUserId;

    private String auditingUserId;

    private String analysisUserId;

    private int hadHandle;

    private int hadAuditing;

    private String courseName;

    private String analysisAuditerId;

    private int analysisHandled;

    private int analysisAudited;
    /**
     * 使用年份
     */
    private int bookYear;

    private String bookId;

    private int partFlag; //练习册是否录一半的标志，0整本，1一半

    /**
     * 练习册类型，0整本,1上半本，2下半本，3完成不同的页码的新版练习册
     */
    private int bookType;

    private Integer bookStatus; //练习册状态
    /**
     * 路径1
     */
    private String url1;
    /**
     * 路径2
     */
    private String url2;
    /**
     * 出版社
     */
    private String press;
    /**
     * 印刷年份
     */
    private String printYear;

    /**
     * 状态
     */
    private String status;
    /**
     * 关联机构数
     */
    private int orgNums;
    /**
     * 对接进度
     */
    private String progress;
    /**
     * 优先级
     */
    private String priority;
    /**
     * 被识别次数
     */
    private int identifiedNums;
    /**
     * 编辑人id
     */
    private String userId;
    /**
     * 编辑人
     */
    private String userName;
    /**
     * 更新时间
     */
    private Date updatedTime;

    /**
     * 版本名称
     */
    private String versionName;

    /**
     * 多机构综合识别率
     */
    private String totalGradePriority;

    /**
     *练习册关联机构签约总数
     *
     */
    private int exerciseRelevancyNum;

    /**
     * 答案校对员用户id
     */
    private String answerCorrecterId;

    /**
     * 答案校对状态， 0未校对, 1答案正确，2答案错误, 3管理员已修改
     */
    private int proofreadStatus;

    /**
     * 最近一次答案校对为错误的时间
     */
    private Date latestAnswerWrongDateTime;

    private int answerCorrectedStatus;
    /**
     * 所有绑定的机构名（用于导入）
     */
    private String libName;

    /**
     * 校对时间（已校对的才有校对时间）
     */
    private Date checkTime;
    /**
     * ai打回重导标记，0无重导，1有重导
     */
    private int aiRollbackImport;

    /**
     * 练习册归属批次
     */
    private String assignedBatch;

    public int getAiRollbackImport() {
        return aiRollbackImport;
    }

    public void setAiRollbackImport(int aiRollbackImport) {
        this.aiRollbackImport = aiRollbackImport;
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public String getLibName() {
        return libName;
    }

    public void setLibName(String libName) {
        this.libName = libName;
    }

    public int getPartFlag() {
        return partFlag;
    }

    public void setPartFlag(int partFlag) {
        this.partFlag = partFlag;
    }

    public int getBookType() {
        return bookType;
    }

    public void setBookType(int bookType) {
        this.bookType = bookType;
    }

    public String getTotalGradePriority() {
        return totalGradePriority;
    }

    public void setTotalGradePriority(String totalGradePriority) {
        this.totalGradePriority = totalGradePriority;
    }

    public int getExerciseRelevancyNum() {
        return exerciseRelevancyNum;
    }

    public void setExerciseRelevancyNum(int exerciseRelevancyNum) {
        this.exerciseRelevancyNum = exerciseRelevancyNum;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUrl1() {
        return url1;
    }

    public void setUrl1(String url1) {
        this.url1 = url1;
    }

    public String getUrl2() {
        return url2;
    }

    public void setUrl2(String url2) {
        this.url2 = url2;
    }

    public String getPress() {
        return press;
    }

    public void setPress(String press) {
        this.press = press;
    }

    public String getPrintYear() {
        return printYear;
    }

    public void setPrintYear(String printYear) {
        this.printYear = printYear;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getProgress() {
        return progress;
    }

    public void setProgress(String progress) {
        this.progress = progress;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public int getSemester() {
        return semester;
    }

    public void setSemester(int semester) {
        this.semester = semester;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getHandleUserId() {
        return handleUserId;
    }

    public void setHandleUserId(String handleUserId) {
        this.handleUserId = handleUserId;
    }

    public String getAuditingUserId() {
        return auditingUserId;
    }

    public void setAuditingUserId(String auditingUserId) {
        this.auditingUserId = auditingUserId;
    }

    public String getAnalysisUserId() {
        return analysisUserId;
    }

    public void setAnalysisUserId(String analysisUserId) {
        this.analysisUserId = analysisUserId;
    }

    public int getHadHandle() {
        return hadHandle;
    }

    public void setHadHandle(int hadHandle) {
        this.hadHandle = hadHandle;
    }

    public int getHadAuditing() {
        return hadAuditing;
    }

    public void setHadAuditing(int hadAuditing) {
        this.hadAuditing = hadAuditing;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getAnalysisAuditerId() {
        return analysisAuditerId;
    }

    public void setAnalysisAuditerId(String analysisAuditerId) {
        this.analysisAuditerId = analysisAuditerId;
    }

    public int getAnalysisHandled() {
        return analysisHandled;
    }

    public void setAnalysisHandled(int analysisHandled) {
        this.analysisHandled = analysisHandled;
    }

    public int getAnalysisAudited() {
        return analysisAudited;
    }

    public void setAnalysisAudited(int analysisAudited) {
        this.analysisAudited = analysisAudited;
    }

    @Column(name = "book_id", updatable = false)
    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }

    public int getBookYear() {
        return bookYear;
    }

    public void setBookYear(int bookYear) {
        this.bookYear = bookYear;
    }

    public int getOrgNums() {
        return orgNums;
    }

    public void setOrgNums(int orgNums) {
        this.orgNums = orgNums;
    }

    public int getIdentifiedNums() {
        return identifiedNums;
    }

    public void setIdentifiedNums(int identifiedNums) {
        this.identifiedNums = identifiedNums;
    }

    public String getAnswerCorrecterId() {
        return answerCorrecterId;
    }

    public void setAnswerCorrecterId(String answerCorrecterId) {
        this.answerCorrecterId = answerCorrecterId;
    }

    public int getProofreadStatus() {
        return proofreadStatus;
    }

    public void setProofreadStatus(int proofreadStatus) {
        this.proofreadStatus = proofreadStatus;
    }

    public Date getLatestAnswerWrongDateTime() {
        return latestAnswerWrongDateTime;
    }

    public void setLatestAnswerWrongDateTime(Date latestAnswerWrongDateTime) {
        this.latestAnswerWrongDateTime = latestAnswerWrongDateTime;
    }

    public int getAnswerCorrectedStatus() {
        return answerCorrectedStatus;
    }

    public void setAnswerCorrectedStatus(int answerCorrectedStatus) {
        this.answerCorrectedStatus = answerCorrectedStatus;
    }

    public Integer getBookStatus() {
        return bookStatus;
    }

    public void setBookStatus(Integer bookStatus) {
        this.bookStatus = bookStatus;
    }

    public String getAssignedBatch() {
        return assignedBatch;
    }

    public void setAssignedBatch(String assignedBatch) {
        this.assignedBatch = assignedBatch;
    }
}
